import { MetaManager } from "tangl-viewer";
import { i18n } from "i18next";
export interface PropsTreeContext {
    fetchPropsByNumbers(elNum: number, forceExpand?: boolean): void;
}
export declare function appendPropsTree(container: HTMLElement | string, metaManager: MetaManager): PropsTreeContext;
export interface MetaTreeContext {
    selectEls(elNum: number, forceExpand?: boolean): void;
    clearSelection(): void;
    expandAll(): void;
    collapseAll(): void;
}
export declare function appendMetaTree(container: HTMLElement | string, metaManager: MetaManager, events: {
    selected: (event: {
        geomNums: number[];
        elNums: number[];
    }) => void;
}): MetaTreeContext;
export declare function appendToolbar(container: HTMLElement | string, viewerName?: string): void;
export declare let i18Next: i18n;
export declare function setI18next(i18n?: i18n | undefined): void;
//# sourceMappingURL=components.d.ts.map