export declare function useExtension(props: {
    extName: string;
    viewerName: string;
}): {
    renderManager: import("tangl-viewer").RenderManager;
    ext: {
        readonly viewerName: string;
        state: any;
        readonly type: string;
        hideToolbar: boolean;
        getName: () => string;
        readonly helpIcon: string | undefined;
        readonly helpDesc: string | undefined;
        dedicatedToolbarRender: (container: HTMLElement) => void;
        sharedToolbarRender: (container: HTMLElement) => void;
        uiRender: (container: HTMLElement) => void;
        ui: string;
        isShowHelpButton: () => boolean;
        getRenderManager: () => import("tangl-viewer").RenderManager;
        setRestoreStateHandler: (handler: Function) => void;
        setSaveStateHandler: (handler: Function) => void;
        saveState: () => void;
        restoreState: () => void;
        added: () => void;
        deleted: () => void;
    } | undefined;
    theme: import("naive-ui").GlobalThemeOverrides;
    isNoData: import("vue").Ref<boolean>;
};
export declare const extensionMixin: import("vue").DefineComponent<{
    extName: {
        type: StringConstructor;
        required: true;
    };
    viewerName: {
        type: StringConstructor;
        required: true;
    };
}, unknown, {
    t: import("i18next").TFunction<["translation", ...string[]], undefined>;
}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    extName: {
        type: StringConstructor;
        required: true;
    };
    viewerName: {
        type: StringConstructor;
        required: true;
    };
}>>, {}, {}>;
//# sourceMappingURL=extensionMixin.d.ts.map