import { VNode } from "vue";
import { ControllerExtensionBase, ExtensionEvent, ExtensionsManager, ModeExtensionBase, MoveEvent } from "tangl-viewer";
import { ModelsProgressEvent } from "tangl-viewer";
declare const _sfc_main: import("vue").DefineComponent<{
    /**
     * Active viewer name. Used for getting managers from ViewerStore.
     */
    viewerName: {
        type: StringConstructor;
        default: string;
    };
}, {
    extMan: ExtensionsManager;
    tanglTheme: import("naive-ui").GlobalThemeOverrides;
    t: import("i18next").TFunction<["translation", ...string[]], undefined>;
}, {
    mouseX: number;
    mouseY: number;
    selectedController: ControllerExtensionBase | undefined;
    selectedModeExtension: ModeExtensionBase | undefined;
    isFirefox: boolean;
    progress: number;
}, {
    controllers(): {
        label: string;
        key: any;
        icon(): VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>;
    }[];
}, {
    switchTooltipMode(): void;
    onMouseMove(event: MoveEvent): void;
    onProgress(e: ModelsProgressEvent): void;
    setControllerExtension(key: string): void;
    onControllerSelected(e: ExtensionEvent): void;
    onModeSelected(e: ExtensionEvent): void;
    selectModeExtension(key: string): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * Active viewer name. Used for getting managers from ViewerStore.
     */
    viewerName: {
        type: StringConstructor;
        default: string;
    };
}>>, {
    viewerName: string;
}, {}>;
export default _sfc_main;
//# sourceMappingURL=Toolbar.vue.d.ts.map